/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PTE7 (number 5), D4[3]/LEDRGB_BLUE
  @{ */
#define BOARD_INITLEDS_PTE7_BLUE_GPIO GPIOB            /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_PTE7_BLUE_GPIO_PORT kGPIO_PORTE /*!<@brief PORTB GPIO port: PORTB */
#define BOARD_INITLEDS_PTE7_BLUE_PORT PORTE            /*!<@brief PORT device name: PORTE */
#define BOARD_INITLEDS_PTE7_BLUE_PIN 7U                /*!<@brief PORTE pin index: 7 */
                                                       /* @} */

/*! @name PTH2 (number 6), D4[4]/LEDRGB_GREEN
  @{ */
#define BOARD_INITLEDS_PTH2_GREEN_GPIO GPIOB            /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_PTH2_GREEN_GPIO_PORT kGPIO_PORTH /*!<@brief PORTB GPIO port: PORTB */
#define BOARD_INITLEDS_PTH2_GREEN_PORT PORTH            /*!<@brief PORT device name: PORTH */
#define BOARD_INITLEDS_PTH2_GREEN_PIN 2U                /*!<@brief PORTH pin index: 2 */
                                                        /* @} */

/*! @name PTH1 (number 14), D4[1]/LEDRGB_RED
  @{ */
#define BOARD_INITLEDS_PTH1_RED_GPIO GPIOB            /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_PTH1_RED_GPIO_PORT kGPIO_PORTH /*!<@brief PORTB GPIO port: PORTB */
#define BOARD_INITLEDS_PTH1_RED_PORT PORTH            /*!<@brief PORT device name: PORTH */
#define BOARD_INITLEDS_PTH1_RED_PIN 1U                /*!<@brief PORTH pin index: 1 */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

/*! @name PTD6 (number 23), J1[7]/PTD6_TSI/PTD6_RXD2
  @{ */
#define BOARD_INITTOUCH_PTD6_TSI_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITTOUCH_PTD6_TSI_GPIO_PORT kGPIO_PORTD /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITTOUCH_PTD6_TSI_PORT PORTD            /*!<@brief PORT device name: PORTD */
#define BOARD_INITTOUCH_PTD6_TSI_PIN 6U                /*!<@brief PORTD pin index: 6 */
                                                       /* @} */

/*! @name PTD7 (number 22), J1[5]/PTD7_TSI/PTD7_TXD2
  @{ */
#define BOARD_INITTOUCH_PTD7_TSI_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITTOUCH_PTD7_TSI_GPIO_PORT kGPIO_PORTD /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITTOUCH_PTD7_TSI_PORT PORTD            /*!<@brief PORT device name: PORTD */
#define BOARD_INITTOUCH_PTD7_TSI_PIN 7U                /*!<@brief PORTD pin index: 7 */
                                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTOUCH(void);

/*! @name UART1_RX (number 52), J1[3]/PTC6_RXD1
  @{ */
/* @} */

/*! @name UART1_TX (number 51), J1[1]/PTC7_TXD1
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name I2C0_SCL (number 47), J2[20]/U1[4]/PTA3_ACCEL_SCL/PTA3_D15
  @{ */
/* @} */

/*! @name I2C0_SDA (number 48), J2[18]/U1[6]/PTA2_ACCEL_SDA/PTA2_D14
  @{ */
/* @} */

/*! @name PTD4 (number 44), U1[11]/PTD4_ACCEL_INT1
  @{ */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO_PORT kGPIO_PORTD /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITACCEL_ACCEL_INT1_PORT PORTD            /*!<@brief PORT device name: PORTD */
#define BOARD_INITACCEL_ACCEL_INT1_PIN 4U                /*!<@brief PORTD pin index: 4 */
                                                         /* @} */

/*! @name PTD3 (number 45), U1[9]/PTD3_ACCEL_INT2
  @{ */
#define BOARD_INITACCEL_ACCEL_INT2_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT2_GPIO_PORT kGPIO_PORTD /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITACCEL_ACCEL_INT2_PORT PORTD            /*!<@brief PORT device name: PORTD */
#define BOARD_INITACCEL_ACCEL_INT2_PIN 3U                /*!<@brief PORTD pin index: 3 */
                                                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL(void);

/*! @name EXTAL (number 11), Y1[2]/EXTAL
  @{ */
/* @} */

/*! @name XTAL (number 12), Y1[1]/XTAL_Y
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSC(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
